﻿/*---- Header Color ----  */
.bg-navbar-theme {
    background-color: white !important;
    color: #677788;
}

/*---- Menu Color ----  */
.bg-menu-theme {
    background-color: white !important;
    color: #677788;
}

/*---- Image Upload ----  */
.image-upload-container {
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: sans-serif;
}

.form-input {
    width: 125px;
    height: 125px;
    padding: 0;
    border: 2px dashed #ccc;
    border-radius: 10px;
    position: relative;
    overflow: hidden;
}

    .form-input input {
        display: none;
    }

    .form-input label {
        display: block;
        width: 100%;
        height: 100%;
        line-height: 250px;
        text-align: center;
        cursor: pointer;
    }

    .form-input img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: block;
        object-position: top;
    }

.imgRemove {
    position: absolute;
    top: 5px;
    right: 5px;
    background: url('/img/icon/cross-icon.svg') center/cover no-repeat;
    border: none;
    width: 20px;
    height: 20px;
    cursor: pointer;
    border-radius: 50%;
    /*        background-color: rgba(0, 0, 0, 0.5);*/
}

/*---- Toast ----  */
.toast-progress {
    position: absolute;
    bottom: 0;
    left: 0;
    height: 4px;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.3);
    animation: progress an linear forwards;
}

@keyframes progress {
    from {
        width: 100%;
    }

    to {
        width: 0;
    }
}


/*---- force validation ----  */
.force-visible-input {
    opacity: 0;
    position: absolute;
    z-index: -1;
    width: 0;
    height: 0;
}
/*---- upload files ----  */
.drop-zone {
    border: 2px dashed #dee2e6;
    border-radius: 10px;
    background-color: #fff;
    cursor: pointer;
    transition: all 0.2s;
    min-height: 200px;
}

    .drop-zone:hover {
        background-color: #f8f9fa;
        border-color: #adb5bd;
    }

    .drop-zone.dragover {
        background-color: #e7f1ff;
        border-color: #0d6efd;
        transform: scale(1.02);
    }

    .drop-zone.has-file {
        border-style: solid;
        border-color: #198754;
        background-color: #f8fff9;
    }